Bug 1018819 - Control-C is no longer trapping SIGINT
Control-C is no longer trapping SIGINT
Status: CLOSED DUPLICATE of bug 1028272
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-14 09:03 EDT by Brendan Jones
Modified: 2013-11-25 14:26 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-25 14:26:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brendan Jones 2013-10-14 09:03:21 EDT
I'm really confused here. In any X terminal control C is not being trapped. ^Z is working for example. I have checked my stty settings and everything looks OK. The only variables I can think of is I am using an nvidia driver and also a kova+ mouse, but I cannot see why that would have issue. Normal console (without X) is OK.

Please help!

stty -a 
speed 38400 baud; rows 64; columns 238; line = 0;
intr = ^C; quit = ^\; erase = ^?; kill = ^U; eof = ^D; eol = M-^?; eol2 = M-^?; swtch = M-^?; start = ^Q; stop = ^S; susp = ^Z; rprnt = ^R; werase = ^W; lnext = ^V; flush = ^O; min = 1; time = 0;
-parenb -parodd cs8 hupcl -cstopb cread -clocal -crtscts
-ignbrk brkint -ignpar -parmrk -inpck -istrip -inlcr -igncr icrnl ixon -ixoff -iuclc ixany imaxbel iutf8
opost -olcuc -ocrnl onlcr -onocr -onlret -ofill -ofdel nl0 cr0 tab0 bs0 vt0 ff0
isig icanon iexten echo echoe echok -echonl -noflsh -xcase -tostop -echoprt echoctl echoke
Comment 1 Brendan Jones 2013-10-16 04:20:52 EDT
Output from tty (where it is working as it should)

speed 38400 baud; rows 67; columns 240; line = 0;
intr = ^C; quit = ^\; erase = ^?; kill = ^U; eof = ^D; eol = <undef>;
eol2 = <undef>; swtch = <undef>; start = ^Q; stop = ^S; susp = ^Z; rprnt = ^R;
werase = ^W; lnext = ^V; flush = ^O; min = 1; time = 0;
-parenb -parodd cs8 hupcl -cstopb cread -clocal -crtscts
-ignbrk brkint -ignpar -parmrk -inpck -istrip -inlcr -igncr icrnl ixon -ixoff
-iuclc -ixany imaxbel iutf8
opost -olcuc -ocrnl onlcr -onocr -onlret -ofill -ofdel nl0 cr0 tab0 bs0 vt0 ff0
isig icanon iexten echo echoe echok -echonl -noflsh -xcase -tostop -echoprt
echoctl echoke

Actually, xterm is OK, guake and gnome-terminal have this problem. Reassigning.
Comment 2 Ahmad Samir 2013-11-25 13:38:22 EST
Probably a dupe of bug 1028272.
Comment 3 Matthias Clasen 2013-11-25 14:26:34 EST

*** This bug has been marked as a duplicate of bug 1028272 ***

Note You need to log in before you can comment on or make changes to this bug.